Redmine+CVS+PostgreSQL 8.3 Cannot work with multi-bytes language
Status: Closed Start date: 2008-03-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

Thank you for developing such a good solution!

I got the following error message when I try to click the "Repository" tab:

Processing RepositoriesController#show (for 192.168.15.102 at 2008-03-24 19:14:06) [GET]

  Session ID: 231678a1464917a916faa279311da8a4

  Parameters: {"action"=>"show", "id"=>"k001", "controller"=>"repositories"}

ActiveRecord::StatementInvalid (RuntimeError: ERROR     C22021  Minvalid byte sequence for encodin

g "UTF8": 0x8f        HThis error can also happen if the byte sequence does not match the encoding

 expected by the server, which is controlled by "client_encoding".       Fwchar.c        L1545   R

report_invalid_encoding: SELECT * FROM changesets   WHERE (changesets.repository_id = 12 AND (chan

gesets."committed_on" BETWEEN '2007-09-12 05:36:33.000000' AND '2007-09-12 05:36:53.000000' AND ch

angesets."comments" = E'????C???|?[?g' AND changesets."committer" = E'yoshida'))  ORDER BY changes

ets.committed_on DESC, changesets.id DESC LIMIT 1):

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract_

adapter.rb:150:in `log'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:407:in `execute'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:782:in `select_raw'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/postgresq

l_adapter.rb:769:in `select'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:7:in `select_all_without_query_cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:53:in `select_all'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:74:in `cache_sql'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:53:in `select_all'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:532:in `find_by_sql'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1233:in `find_every'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:1227:in `find_initial

'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/base.rb:502:in `find'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/has_many_associa

tion.rb:66:in `find'

    /app/models/repository/cvs.rb:102:in `fetch_changesets'

    /lib/redmine/scm/adapters/cvs_adapter.rb:199:in `revisions'

    /lib/redmine/scm/adapters/cvs_adapter.rb:133:in `each_line'

    /lib/redmine/scm/adapters/cvs_adapter.rb:133:in `revisions'

    /lib/redmine/scm/adapters/abstract_adapter.rb:118:in `call'

    /lib/redmine/scm/adapters/abstract_adapter.rb:118:in `shellout'

    /lib/redmine/scm/adapters/abstract_adapter.rb:116:in `popen'

    /lib/redmine/scm/adapters/abstract_adapter.rb:116:in `shellout'

    /lib/redmine/scm/adapters/cvs_adapter.rb:121:in `revisions'

    /app/models/repository/cvs.rb:97:in `fetch_changesets'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

database_statements.rb:66:in `transaction'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:80:in `transa

ction'
    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/transactions.rb:100:in `trans

action'

    /app/models/repository/cvs.rb:95:in `fetch_changesets'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_prox

y.rb:125:in `send'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/associations/association_prox

y.rb:125:in `method_missing'

    /app/controllers/repositories_controller.rb:53:in `show'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_ac

tion_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handl

e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatc

h'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/rails.rb:76:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/rails.rb:74:in `synchronize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/rails.rb:74:in `process'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:159:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:158:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:158:in `process_client'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:285:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:285:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:285:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:268:in `initialize'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:268:in `new'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel.rb:268:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/configurator.rb:282:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/configurator.rb:281:in `each'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/configurator.rb:281:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:128:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/../lib/mongrel/command.rb:212:in `run'

    /usr/lib/ruby/gems/1.8/gems/mongrel-1.1.4/bin/mongrel_rails:281

    /usr/bin/mongrel_rails:19:in `load'

    /usr/bin/mongrel_rails:19
Rendering /usr/local/redmine/public/500.html (500 Internal Server Error)

 Tested:

Client:WindowsXP

Server CentOS5

Redmine 0.7.devel.1291 (PostgreSQL)

CVS 1.11.22

PostgreSQL 8.3

Associated revisions

Revision 1767 - 2008-08-26 14:13 - Jean-Philippe Lang

Adds support for commit logs reencoding to UTF-8 before insertion in the database (#834, #917, #1663).

Source encoding of commit logs can be selected in Application settings -> Repositories.

Revision 1768 - 2008-08-26 14:28 - Jean-Philippe Lang

Fixes error with CVS+Postgresql and non-UTF8 commit logs (#917, #1659).

History

#1 - 2008-03-25 01:10 - Yoshida Taichiro

I forgot to write encoding info.

Encoding of files on CVS is EUC-JP.

#2 - 2008-03-25 06:13 - Wei Li

wow, it's looks like we got the same issue?

[[http://www.redmine.org/issues/show/834]]

Cheers!

#3 - 2008-08-26 14:26 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

This problem should be solved by r1767 and r1768.

Choose the appropriate source enconding (eg. EUC-JP) in Application settings -> Repositories. Messages will be reencoded to UTF-8 before

insertion in the database.

Powered by TCPDF (www.tcpdf.org)

2025-05-02 3/3

http://www.redmine.org/issues/show/834
https://www.redmine.org/projects/redmine/repository/svn/revisions/1767
https://www.redmine.org/projects/redmine/repository/svn/revisions/1768
http://www.tcpdf.org

